Get one intake
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/intakes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/intakes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/intakes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"intake": {
"id": "<string>",
"animal_id": "<string>",
"intake_type": "stray",
"intake_date": "<string>",
"is_surrender": true,
"is_return": true,
"surrendered_by_person_id": "<string>",
"source_organization": "<string>",
"found_location": "<string>",
"found_on": "<string>",
"surrender_reason": "moving",
"surrender_notes": "<string>",
"condition_on_arrival": "healthy",
"has_vet_records": true,
"returned_from_adoption_id": "<string>",
"notes": "<string>",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"animal_name": "<string>",
"animal_species": "<string>",
"animal_status": "<string>",
"surrendered_by_first_name": "<string>",
"surrendered_by_last_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Intakes
Get one intake
One arrival, with the animal’s name and species. Needs read on Animals.
GET
/
api
/
animals
/
intakes
/
{id}
Get one intake
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/intakes/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/intakes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/intakes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"intake": {
"id": "<string>",
"animal_id": "<string>",
"intake_type": "stray",
"intake_date": "<string>",
"is_surrender": true,
"is_return": true,
"surrendered_by_person_id": "<string>",
"source_organization": "<string>",
"found_location": "<string>",
"found_on": "<string>",
"surrender_reason": "moving",
"surrender_notes": "<string>",
"condition_on_arrival": "healthy",
"has_vet_records": true,
"returned_from_adoption_id": "<string>",
"notes": "<string>",
"created_by_person_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"animal_name": "<string>",
"animal_species": "<string>",
"animal_status": "<string>",
"surrendered_by_first_name": "<string>",
"surrendered_by_last_name": "<string>"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}